    n = 5000; % number of samples
    numRuns = 5; % number of replications
    % Use cluster_invcov.py to generate invcov matrix:
    load('glasso-data.mat', 'Prec'); 

    trueCov = inv(Prec);
    d = size(Prec,1);
    alphas=[0.01 0.05 0.1 0.2 0.3 0.4 0.5 0.7 0.9];
    fdrF = zeros(length(alphas),1);
    fdrS = zeros(length(alphas),1);
    fdrT = zeros(length(alphas),1);
    pF = zeros(length(alphas),1);
    pS = zeros(length(alphas),1);
    pT = zeros(length(alphas),1);
    for run=1:numRuns
        data = mvnrnd(zeros(1,d),trueCov, n);
        S = cov(data);
        for ix=1:length(alphas)
            alpha = alphas(ix);
            fprintf('replication %i, alpha=%3.2f \n', run, alpha);
            [fdrF_, fdrS_, fdrT_, pF_, pS_, pT_] = glasso(n, alpha, S);
            fdrF(ix) = fdrF(ix) + fdrF_;
            fdrS(ix) = fdrS(ix) + fdrS_;
            fdrT(ix) = fdrT(ix) + fdrT_;
            pF(ix) = pF(ix) + pF_;
            pS(ix) = pS(ix) + pS_;
            pT(ix) = pT(ix) + pT_;
        end
    end
    fdrF = fdrF / numRuns;
    fdrS = fdrS / numRuns;
    fdrT = fdrT / numRuns;
    pF = pF / numRuns;
    pS = pS / numRuns;
    pT = pT / numRuns;

    set(0,'DefaultLineLineWidth',2);
    close all;
    figure('name', 'FDR');
    plot(alphas, alphas,'-k', ...
        alphas, fdrF,':or', ...
        alphas, fdrS,'--*g', ...
        alphas, fdrT,'-.xb');
    title(sprintf('FDR control, n=%i',n));
    legend('$$\alpha$$','ForwardStop','StrongStop','TailStop');
    
    figure('name', 'Power');
    plot(alphas, pF,':or',...
        alphas, pS,'--*g', ...
        alphas, pT,'-.xb');
    title(sprintf('Power, n=%i',n));
    legend('ForwardStop','StrongStop','TailStop');

